- Home
- API Enriched
- Statistics
- data
- GET Alerts.
GET Alerts.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/all_ns_alerts';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/all_ns_alerts \ --header 'Authorization: <Authorization>'For system namespace, all the alerts for the tenant matching the filter specified in the request will be returned in the response.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Namespace to scope the listing of alerts. When namespace = “system”, all alerts for the tenant will be returned.
If set to true, active alerts will not be returned in the response.
Show silenced alerts - alerts that are muted based on the matchers configured in the alert manager.
Show inhibited alerts - alerts that are suppressed if certain other alerts are firing.
Show unprocessed alerts.
HighDiskUsage”, severity=“critical”}”
List of matchers to filter alerts by.
Filtering via label matchers follows the same syntax and semantics as Prometheus.
Syntax for filter := {[
Optional: If not specified, then all the alerts for the tenant and namespace specified in the request will be returned.
Responses
Section titled “Responses”A successful response.
Returns list of alerts that matches the selection criteria in the request Example value: [ { “annotations”: { “description”: “string”, “additionalProp1”: “string”, “additionalProp2”: “string” }, “receivers”: [ { “name”: “string” } ], “fingerprint”: “string”, “startsAt”: “2019-06-06T22:14:27.304Z”, “updatedAt”: “2019-06-06T22:14:27.304Z”, “endsAt”: “2019-06-06T22:14:27.304Z”, “status”: { “state”: “unprocessed”, “silencedBy”: [ “string” ], “inhibitedBy”: [ “string” ] }, “labels”: { “alertname”: “string”, “type”: “string”, “identifier”: “string”, “severity”: “string”, “additionalLabel1”: “string”, “additionalLabel2”: “string” }, “generatorURL”: “string” } ]
object
Data contains the list of alerts.
Examplegenerated
{ "data": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example